bos_delete(8)

NAME
bos_delete - Deletes a server process from the BosConfig file

SYNOPSIS
bos delete << -server <machine name >>>
    << -instance <server process name+ >>> << [-cell <cell name] >>>
    [-noauth] [-localauth] [-help]

bos d << -s <machine name >>> << -i <server process name+ >>>
    << [-c <cell name] >>> [-n] [-l] [-h]

DESCRIPTION
The bos delete command removes the /usr/afs/local/BosConfig entry for each process indicated by the -instance argument, on the server machine named by the -server argument.

Before issuing this command, issue the bos stop command to stop the process and set its status flag in the BosConfig file to NotRun. The bos delete command fails with an error message if a process's status flag is Run.

OPTIONS
Indicates the server machine on which to delete the server process entry from the /usr/afs/local/BosConfig file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the bos(8) manpage. Names each process to delete. Use the name assigned with the -instance argument to the bos create command; process names appear in the output of the bos status command. Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the bos(8) manpage. Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the bos(8) manpage. Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the bos(8) manpage. Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command removes the buserver, kaserver, ptserver, and vlserver entries from the BosConfig file on db3.abc.com, a database server machine being decommissioned.

   % bos delete -server db3.abc.com \
       -instance buserver kaserver ptserver vlserver

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

SEE ALSO
the BosConfig(5) manpage, the KeyFile(5) manpage, the UserList(5) manpage, the bos(8) manpage, the bos_create(8) manpage, the bos_status(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.